List locations
GET/v1/locations
To list all the locations, perform a GET request to /v1/locations. You can customize the output with query parameters.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
application/json
curl -X GET "https://example.com/v1/locations"[ { "id": 1850, "name": "location3803", "status": "active", "code": "location3803", "supported_features": [ "disaggregated_public_ports", "disaggregated_private_ports", "no_public_network", "no_private_ip", "no_public_ip_address", "host_rescue_mode", "oob_public_access", "private_ipxe_boot", "public_ipxe_boot" ], "l2_segments_enabled": false, "private_racks_enabled": false, "load_balancers_enabled": false }]